Subject: Thoughts on Paul Gleichauf's proposal, and other issues

From: "Valerie See" <[email-masked]>
Date: Fri, 15 Nov 2002 11:20:30 -0800

In response to Paul Gleichauf's comment
 
> These 
> disclosures should start with submission of a form to the IETF WG which 
> includes a selection from a small set of precise policy statements for 
> licensing that are more specific and useful to the working group than RAND, 
> but not more onerous for IPR owners than appropriate 
I agree with Paul that his idea of the use of a form could greatly simplify the question of disclosures. I think the existing policy in Section 10, with clarifications on the specific points where people get confused, will continue to serve the IETF community very well indeed. In fact, it seems to me that there is a large open issue in front of us, in that I am not sure that we have really gotten to what are the fundamental problems or questions that are actually in need of clarification in real practice, rather than more hypothetically, in Section 10. (In other words, what are the problems we are working to solve, specifically?) Right now, we seem to be on a path with our documents to clarify all of section 10, more or less on a point by point basis. I think we need to take a step back and get consensus on what are actually the real points that need to be clarified, based on that confusion in practice I mentioned, and only deal with them. The big ones that I see at the mome!
nt seem to center around this whole issue of disclosure - if we can produce clarification to these commonly asked questions, and also provide guidance and clarification on the mechanics of actually doing a disclosure via this concept of a simple to use form, it seems to me that we'd be providing a real service to the IETF community. 
To this end, here's a list of the core questions that I think have been really hard for people to understand and that need this clarification:
1. Who is under an obligation to actually disclose IPR? Is it only people who have actually contributed, or, more broadly, is it anyone who is engaged with or has exposure to the working group and its activities and work products?
2. What patents need to be disclosed? Is it patents that actually cover the technologies addressed in an RFC, or, more broadly, any patent that might relate to the technologies in an RFC?
3. What IETF documents require disclosure? Is it all publications, or just those on the standards track?
4. What level of disclosure is required around license commitments? One solution to this problem might be a disclosure form, as Paul discussed - see below for more on this. Many other orgs use a form for disclosures - it's not to make disclosure more odious, it's to simplify the process and help people better understand what it is exactly that they're supposed to disclose.
5. What information about issued patent(s) and/or published patent applications must be disclosed? A disclosure form could help this as well.
6. What is the required timing of the disclosure? Are there certain events that trigger disclosure?
Here is the sort of thing that could be used on a disclosure form to help address some of the issues mentioned above:
IPR being disclosed:
<<< This probably would need to be a short list, things like Patent #, published applications, RFC or standards tracked ID ??>>>
Type of license commitment for essential patent claims to implementers of the spec: (I use different labels but I think the concept is very similar to what Paul proposed)
1. RAND
2. RAND with no royalty or fee
3. No license required
4. Won't license
I think that between clarifications to the questions I listed, and Paul's idea of a short, simple, easy to use form, we could go a long way towards making this whole hard issue of disclosure a much easier thing for the IETF community. As others on the list have noted - let's not fix what isn't broken; let's just clarify the points where people are getting confused, and make it easier for people to do the things where they do get confused. 
-- Valerie See

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg